<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>all contacts</title>
</head>
<body>
<table>
    <tr th:each="contactt: ${pageofcontacts.getContent()}">
        <td style="width: 200px" th:text="${contactt.getName()}">&nbsp;&nbsp;</td>
        <td><a th:href="@{'/showcontact/' + ${contactt.getId()}}">просмотреть</a>&nbsp;&nbsp;</td>
        <td><a th:href="@{'/deletecontact/' + ${contactt.getId()}}">удалить</a>&nbsp;&nbsp;</td>
    </tr>
</table>
<br>
<table>
    <tr>
        <span th:if="${pageofcontacts.getTotalPages()!=0}">
        <th:block th:each="i: ${#numbers.sequence(0, pageofcontacts.getTotalPages()-1)}">
            <td>

                <span th:if="${searchedname != null}">
                <a th:href="@{${linkto.toString()} + ${i} + '?searchedname=' + ${searchedname.toString()}}"><label
                        th:text="${i+1}"/></a>
                </span>

                <span th:unless="${searchedname != null}">
                <a th:href="@{${linkto.toString()} + ${i}}"><label th:text="${i+1}"/></a>
                </span>
            </td>
        </th:block>
        </span>
        <span th:unless="${pageofcontacts.getTotalPages()!=0}">
            <br><h4> nothing is found</h4><br>
        </span>

    </tr>
</table>
<br>
<br>
<form action="/main" method="get">
    <input type="submit" value="на главную">
</form>
</body>
</html>